summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: d71cc1a)
raw | patch | inline | side by side (parent: d71cc1a)
author | Ævar Arnfjörð Bjarmason <avarab@gmail.com> | |
Mon, 13 Sep 2010 20:30:45 +0000 (20:30 +0000) | ||
committer | Ævar Arnfjörð Bjarmason <avarab@gmail.com> | |
Sat, 30 Oct 2010 07:58:21 +0000 (07:58 +0000) |
Gettextize $update_module say and die messages. These messages needed
to be split up to make them translatable.
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
to be split up to make them translatable.
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
git-submodule.sh | patch | blob | history |
diff --git a/git-submodule.sh b/git-submodule.sh
index 1b3132f81c449a88ddbb52635542399608593467..2b33c5fbdf1ab0f477d5b2de383338cc450939c9 100755 (executable)
--- a/git-submodule.sh
+++ b/git-submodule.sh
case "$update_module" in
rebase)
command="git rebase"
- action="rebase"
- msg="rebased onto"
+ die_msg="$(eval_gettext "Unable to rebase '\$sha1' in submodule path '\$path'")"
+ say_msg="$(eval_gettext "Submodule path '\$path': rebased into '\$sha1'")"
;;
merge)
command="git merge"
- action="merge"
- msg="merged in"
+ die_msg="$(eval_gettext "Unable to rebase '\$sha1' in submodule path '\$path'")"
+ say_msg="$(eval_gettext "Submodule path '\$path': merged in '\$sha1'")"
;;
*)
command="git checkout $force -q"
- action="checkout"
- msg="checked out"
+ die_msg="$(eval_gettext "Unable to rebase '\$sha1' in submodule path '\$path'")"
+ say_msg="$(eval_gettext "Submodule path '\$path': checked out '\$sha1'")"
;;
esac
- (clear_local_git_env; cd "$path" && $command "$sha1") ||
- die "Unable to $action '$sha1' in submodule path '$path'"
- say "Submodule path '$path': $msg '$sha1'"
+ (clear_local_git_env; cd "$path" && $command "$sha1") || die $die_msg
+ say $say_msg
fi
if test -n "$recursive"